body {
    font-family: Segoe UI,Helvetica Neue,sans-serif;
}

input { 
    appearance: none;
}

label {
    margin-left: 15px;

}

input + label::before { 
  content: "";
  position: absolute;
  background-color: #F5F5F5;
  margin-top: 4px;
  left: 10px;
  width: 16px;
  height: 16px;
  border: 1px solid #B6B6B6;
  border-radius: 50%;
}

input:checked+label::after {
    content: '';
    position: absolute;
    margin-top: 8px;
    left: 14px;
    border: 1px solid black;
    width: 8px;
    height: 8px;
    background: black;
    border-radius: 50%;
}

input:not(:disabled):hover+label::before{   /* наведение на элемент*/
    background:rgb(235, 234, 234);
}

input:not(:disabled):focus+label::before{   /* фокус на кнопке*/
    background:rgb(235, 234, 234);
    border: 1px solid lightskyblue;
}

input:not(:disabled):active+label::before {  /* в момент нажатия*/ 
    /*Я не стала в момент нажатия добавлять контент, потому что хоть на фотке из гайдов в момент нажатия в радиокнопке стоит точка, 
    но по факту, если в гайдах нажимать на кнопку, то этой точки не будет, она появится только когда элемен будет выбран*/
    background:rgb(235, 234, 234);
  }

 input:checked+label::before {   /* элемент выбран*/
    background:rgb(235, 234, 234);
}

input:disabled+label {   /* элемент задизейблен*/
    opacity: 0.8;
    color: gray;
}
